ZipArchive::setCompressionIndex
ZipArchive::setExternalAttributesIndex
ZipArchive
PHP Manual

# ZipArchive::setCompressionName

(PHP 7, PECL zip >= 1.13.0)

ZipArchive::setCompressionName — Set the compression method of an entry defined by its name

### Description

bool ZipArchive::setCompressionName ( string `$name` , int `$comp_method` [, int `$comp_flags` = 0 ] )

Set the compression method of an entry defined by its name.

### Parameters

`name`

  Name of the entry.

`comp_method`

  The compression method. Either `ZipArchive::CM_DEFAULT`, `ZipArchive::CM_STORE` or `ZipArchive::CM_DEFLATE`.

`comp_flags`

  Compression flags. Currently unused.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Add files with different compression methods to an archive

`<?php
$zip = new ZipArchive;
$res = $zip->open('test.zip', ZipArchive::CREATE);
if ($res === TRUE) {
$zip->addFromString('foo', 'Some text');
$zip->addFromString('bar', 'Some other text');
$zip->setCompressionName('foo', ZipArchive::CM_STORE);
$zip->setCompressionName('bar', ZipArchive::CM_DEFLATE);
$zip->close();
echo 'ok';
} else {
echo 'failed';
}
?>`

ZipArchive::setCompressionIndex
ZipArchive::setExternalAttributesIndex
ZipArchive
PHP Manual